Skip to main content
GET
/
scroll
/
deposits
List deposits.
curl --request GET \
  --url 'https://api.blockscout.com/{chain_id}/api/v2/scroll/deposits?apikey='
{
  "items": [
    {
      "completion_transaction_hash": "<string>",
      "id": 123,
      "origination_timestamp": "2023-11-07T05:31:56Z",
      "origination_transaction_block_number": 123,
      "origination_transaction_hash": "<string>",
      "value": "<string>"
    }
  ],
  "next_page_params": {
    "id": 986043,
    "items_count": 50
  }
}

Documentation Index

Fetch the complete documentation index at: https://blockscout-mf-14206.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apikey
string
query
required

API key for authentication. Required for all Pro API endpoints. Obtain your API key at https://dev.blockscout.com/

Query Parameters

apikey
string
required

API key for rate limiting or for sensitive endpoints

key
string

Secret key for getting access to restricted resources

items_count
integer

Number of items returned per page

Required range: 1 <= x <= 50
id
integer

ID for paging

Response

List of deposits.

items
Bridge · object[]
required
next_page_params
object
required
Example:
{ "id": 986043, "items_count": 50 }